<?php

//ini_set('display_errors',1);

session_start();
require_once ("../../config/Cado.php");

require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("cVenta.php");
$oVenta = new cVenta();
require_once ("cVentapago.php");
$oVentapago = new cVentapago();
require_once("../stock/cStock.php");
$oStock = new cStock();
require_once("../kardex/cKardex.php");
$oKardex = new cKardex();
require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();
require_once("../formatos/formato.php");

$dts= $oVenta->mostrarUno($_POST['ven_id']);
$dt = mysqli_fetch_array($dts);
	$fec	=mostrarFecha($dt['tb_venta_fec']);
	$doc_id	=$dt['tb_documento_id'];
	$numdoc	=$dt['tb_venta_numdoc'];
	$cli_id	=$dt['tb_cliente_id'];
	$valven	=$dt['tb_venta_valven'];
	$igv	=$dt['tb_venta_igv'];
	$tot	=$dt['tb_venta_tot'];
	$est	=$dt['tb_venta_est'];
	
	$punven_id	=$dt['tb_puntoventa_id'];
	$punven_nom	=$dt['tb_puntoventa_nom'];
	
	$dato.=$alm_id=$dt['tb_almacen_id'];
mysqli_free_result($dts);


if($est!=0)
{
	$estado=2;
	$oVenta->modificar(
			$_POST['ven_id'],
			fecha_mysql($fec),
			$cli_id,
			$estado
		);
	
	$dts1=$oVenta->mostrar_venta_detalle($_POST['ven_id']);
	$num_rows= mysqli_num_rows($dts1);
	//detalle de productos
		while($dt1 = mysqli_fetch_array($dts1))
		{
			$cat_id=$dt1['tb_catalogo_id'];
			$mar_id=$dt1['tb_marca_id'];
			$cantidad=$dt1['tb_ventadetalle_can'];			
			
			//datos presentacion catalogo almacen
			$dtss=$oStock->stock_por_presentacion($cat_id,$mar_id,$alm_id);
			$dts = mysqli_fetch_array($dtss);
				$sto_id_ori		=$dts['tb_stock_id'];
				$sto_num_ori	=$dts['tb_stock_num'];
			mysqli_free_result($dtss);
			
			// echo $cantidad.'--'.$pre_id.'-'.$mar_id.'-'.$alm_id; 
				
			//actualizacion de stock
			$stock_nuevo_ori=$sto_num_ori+$cantidad;
			$oStock->modificar($sto_id_ori,$stock_nuevo_ori);
        }
	
	mysqli_free_result($dts1);
	
	//anular kardex
	//($tiporeg,$tipo,$documento_id,$tipoperacion_id,$operacion_id)
	$dtsk= $oKardex->consulta_eliminar(1,2,$doc_id,3,$_POST['ven_id']);
	$dt = mysqli_fetch_array($dtsk);
	$kar_id	=$dt['tb_kardex_id'];
	mysqli_free_result($dtsk);
	
	//echo $kar_id;
	
	if($kar_id>0)
	{
		$oKardex->modificar_campo($kar_id,'xac','0');
		$msj_n='';
	}
	else
	{
		$msj_n='No se pudo anular kardex.';
	}
	//----------------------------------------
	
	//ANULAR INGRESO DE CAJA
    $est1="1";
    $est2="2";
    $mod_id=3;
	
	$rwsvenpag=$oVentapago->filtrar($_POST['ven_id']);
	
	while($rwvp = mysqli_fetch_array($rwsvenpag))
	{
    $rws1=$oIngreso->mostrar_por_modulo($mod_id,$rwvp['tb_ventapago_id'],$est1,$est2);
    $filas= mysqli_num_rows($rws1);
    while($rw1 = mysqli_fetch_array($rws1))
    {
      $oIngreso->modificar_campo($rw1['tb_ingreso_id'],$_SESSION['usuario_id'],'xac','0');
    }
    mysqli_free_result($rws1);
	}
	
	$error1=0;
	$data['act']='correcto';
	$data['msj'].='Se anulo venta correctamente.'.$msj_n;
	echo json_encode($data);


}//estado cancelada
else
{
	$data['msj'].='Venta ya ha sido anulada.';
	echo json_encode($data);
}
?>